{
  "model": {
    "type": "range_dispatch",
    "property": "custom_model_data",
    "index": 0,
    "fallback": {
      "type": "minecraft:model",
      "model": "minecraft:item/slime_ball"
    },
    "entries": [
      {
        "threshold": 100,
        "model": {
          "type": "minecraft:model",
          "model": "kiomega:block/green_fire"
        }
      }
    ]
  }
}